/* Custom styles for ChatyForRest theme */

@font-face {
  font-family: "TheSeasons";

  src:
    url("/wp-content/themes/chatyforrest/assets/fonts/TheSeasons-Bold.woff2")
      format("woff2"),
    url("/wp-content/themes/chatyforrest/assets/fonts/TheSeasons-Bold.woff")
      format("woff");
  font-weight: bold;
  font-style: normal;
}

body {
  font-family: "Inter";
  color: var(--color-white);
  padding: 0;
  background: linear-gradient(360deg, #2e2e2e 49%, #1b1b1b 82%);
  margin: auto !important;
}
.container-chatyforrest {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  flex-direction: column;
  max-width: var(--max-width-content);
  margin: 0 auto;
}

.slider-chaty-forrest {
  padding: 32px 0 0 0;
  background: linear-gradient(180deg, #2e2e2e -66%, #1b1b1b 66%);
}
.slider-chaty-forrest .owl-stage-outer {
  margin-left: -10px;
}

@media (max-width: 767px) {
  .slider-chaty-forrest {
    padding: 64px 0 0 0;
  }
  .slider-chaty-forrest .owl-stage-outer {
    margin: 0 15px;
  }
}
.owl-carousel {
  position: relative;
  width: 100%;
  max-width: var(--max-width-content);
  margin: 0 auto;
}
@media (min-width: 767px) and (max-width: 991px) {
  .owl-carousel .owl-item {
    margin-right: 20px !important;
  }
}

.owl-carousel .item img {
  display: block;
  width: 100%;
  height: auto;
  max-height: 265px;
  border-radius: var(--border-radius-secondary);
  object-fit: cover;
}
@media (max-width: 767px) {
  .owl-carousel .item img {
    width: 93%;
  }
}

/* DOTS - vľavo dole */
/* Dots (bodky) - umiestnenie vľavo dole */
.owl-dots {
  position: absolute;
  bottom: 1rem;
  left: 1rem;
  display: flex;
  gap: 0.5rem;
}

.owl-carousel .owl-dots .owl-dot {
  width: 8px;
  height: 8px;
  background: var(--color-wallnut);
  border-radius: 100%;
  border: none;
}

.owl-carousel .owl-nav button.owl-prev,
.owl-carousel .owl-nav button.owl-next {
  width: 48px;
  height: 48px;
  background: none;
  border: none;
}

.owl-dots .owl-dot.active {
  background: var(--color-tan-forest) !important;
}

.owl-dots .owl-dot span {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: #fff;
  opacity: 0.5;
}

.slider-chaty-forrest .owl-dots .owl-dot.active span {
  background: var(--color-tan-forest);
  opacity: 1;
}

.owl-nav {
  position: relative;
  display: flex;
  gap: 15px;
  justify-content: flex-end;
  margin-top: 32px;
  align-items: center;
}
@media (max-width: 992px) {
  .owl-nav {
    padding: 0 20px;
  }
}

.owl-nav button.owl-prev,
.owl-nav button.owl-next {
  background: none;
  border-radius: 50%;
  cursor: pointer;
  font-weight: bold;
  font-size: 16px;
  line-height: 1;
  opacity: 0.7;
  margin: 0;
  padding: 0;
}

.owl-nav button.owl-prev:hover,
.owl-nav button.owl-next:hover {
  opacity: 1;
}

.owl-theme .owl-nav [class*="owl-"] {
  background: none !important;
}

.icon-slider {
  background: var(--color-crema);
  padding: 64px 0;
}
.icon-slider .icon-carousel-container {
  position: relative;
  overflow: hidden;
  padding: 2rem 0;
}

.icon-slider .icon-carousel-container::before,
.icon-slider .icon-carousel-container::after {
  content: "";
  position: absolute;
  top: 0;
  width: 100px;
  height: 100%;
  z-index: 2;
}

.icon-slider .icon-carousel-container::before {
  left: 0;
  background: linear-gradient(to right, rgb(249 241 233), transparent);
}

.icon-slider .icon-carousel-container::after {
  right: 0;
  background: linear-gradient(to left, rgb(249 241 233), transparent);
}

.icon-slider .owl-carousel .item img {
  max-height: 38px;
  width: 100%;
  object-fit: contain;
  display: block;
  margin: 0 auto;
}

.activities-section {
  color: var(--color-dark);
  padding: 0;
}
.activities-section .container-activities {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 96px;
}
.activities-section .container-activities .col-md-6 {
  max-width: 45% !important;
}
@media (max-width: 992px) {
  .activities-section .container-activities {
    gap: 50px;
  }
}
@media (min-width: 767px) {
  .activities-section .container-activities > .row {
    --bs-gutter-x: 64;
    --bs-gutter-y: 0;
    justify-content: space-around;
    gap: 0;
  }
}
@media (max-width: 767px) {
  .activities-section .container-activities .col-md-6 {
    max-width: 100% !important;
  }
}
.hero-section-description .lead {
  max-width: 600px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
  line-height: 1.4;
}

@media (min-width: 992px) {
  .hero-section-description {
    margin-top: 96px;
  }
}
@media (max-width: 550px) {
  .hero-section-description .lead {
    display: block;
  }
}
.container-chatyforrest .section-title {
  color: var(--color-white);
}
.card-custom {
  border-radius: 24px;
  overflow: hidden;
  position: relative;
}
.card-custom .container-body {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 32px;
}

.card-custom .symbol {
  font-size: 26px;
  top: -1.4rem;
  position: relative;
}

.card-custom .card-body {
  padding: 32px;
  border-radius: var(--border-radius-secondary);
}

.price-badge {
  position: relative;
  font-weight: bold;
  display: flex;
  align-items: baseline;
  gap: 5px;
}
@media (max-width: 767px) {
  .price-badge {
    align-items: center;
  }
}
/*LEFT CARD*/
.card-left .card-title-custom {
  font-size: var(--title-card);
  color: var(--color-wallnut);
  font-weight: bold;
}
.card-left .card-text-custom {
  font-size: var(--font-size-span);
  color: var(--color-wallnut);
  opacity: 0.8;
  font-weight: normal;
}
.card-left .text-info-kapacita {
  font-size: var(--font-size-span);
  color: var(--color-dark);
  font-weight: bold;
}
.card-left .card-body {
  background: var(--color-crema);
}
.btn-custom {
  display: flex;
  min-width: 140px;
  border-radius: var(--border-radius-primary);
  font-size: var(--font-span);
  font-weight: 600;
  gap: 10px;
  max-width: 165px;
  align-items: center;
  justify-content: center;
  padding: 12px 20px;
  text-decoration: none !important;
}

.card-left .btn-custom {
  background-color: var(--color-dark);
  color: var(--color-white);
}

.card-left .price-badge span {
  color: var(--color-dark);
}
.card-left .btn-custom p {
  padding: 0;
  margin: 0;
  color: var(--color-white);
}

/*RIGHT CARD*/

.card-right .card-title-custom {
  font-size: var(--title-card);
  color: var(--color-tan-forest);
  font-weight: bold;
}
@media (max-width: 1400px) {
  .card-right .card-title-custom {
    width: 65%;
  }
}
@media (max-width: 1200px) {
  .card-right .card-title-custom {
    width: 60%;
  }
}
.card-right .text-info-kapacita {
  font-size: var(--font-size-span);
  color: var(--color-white);
  font-weight: bold;
}

.card-right .btn-custom {
  border: 2px solid var(--color-tan-forest);
  color: var(--color-tan-forest);
}
.card-right .card-text-custom {
  font-size: var(--font-size-span);
  color: var(--color-white);
  opacity: 0.8;
  font-weight: normal;
}
.card-left .card-text-custom,
.card-right .card-text-custom {
  height: 40px;
}
@media (max-width: 767px) {
  .card-left .card-text-custom,
  .card-right .card-text-custom {
    height: 30px;
  }
}
.card-right .card-text-custom-price {
  font-size: var(--font-size-span);
  color: var(--color-tan-forest);
  opacity: 0.8;
  font-weight: normal;
}
.card-right .card-body {
  background: transparent;
  border: 2px solid var(--color-tan-forest);
}
.card-right .price-badge {
  color: var(--color-tan-forest);
}
.card-right .btn-custom p {
  padding: 0;
  margin: 0;
  color: var(--color-tan-forest);
}
/*activites*/
.img-activity {
  border-radius: var(--border-radius-secondary);
  border-radius: var(--border-radius-secondary);
  max-height: 400px;
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.activities-section {
  background: var(--color-crema);
}
.activities-section .row {
  max-width: var(--max-width-content);
}
.activities-section .activities-text {
  color: var(--color-dark);
  margin-bottom: 8px;
}
.activities-section .badge-price-residence {
  background: var(--color-tan-forest);
  width: 100%;
  max-width: 170px;
  text-align: center;
  height: 50px;
  position: absolute;
  right: -2rem;
  top: 0rem;
  transform: rotate(25deg);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 1.3rem;
}
.badge-price-residence-finland {
  background: var(--color-tan-forest);
  width: 100%;
  max-width: 200px;
  text-align: center;
  height: 50px;
  position: absolute;
  left: -1rem;
  top: 0rem;
  transform: rotate(-25deg);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 1.3rem;
}
.reviews-section .reviews-text {
  max-width: 446px;
  margin: auto;
}
.reviews-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  gap: 3rem;
  color: #fff;
  background: #1a1a1a;
  padding: 96px 64px 60px 64px;
}

.carousel-controls {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.prev-arrow,
.next-arrow {
  background: none;
  border: none;
  font-size: 24px;
  color: white;
  cursor: pointer;
  margin: 0 10px;
}

/*banner start*/

/*banner end*/
@media (max-width: 1400px) {
  .card-custom .card-body {
    min-height: 300px;
  }
}
@media (max-width: 992px) {
  .card-custom .card-body {
    padding: 20px;
    min-height: 420px;
  }
  .card-custom .container-body {
    display: block;
  }
}
@media (max-width: 767px) {
  .card-custom .card-body {
    min-height: auto;
  }
  .hero-section-description .full-row {
    display: flex;
    margin: auto;
    gap: 32px;
  }
  .card-custom .container-body {
    padding-bottom: 10px;
  }

  .btn-custom {
    width: 100%;
    max-width: none;
  }
  .activities-section .row:nth-child(1),
  .activities-section .row:nth-child(2) {
    margin-bottom: 64px;
  }
  .activities-section .last-row .img-zone {
    order: 1;
  }
  .activities-section .last-row .text-zone {
    order: 0;
  }
  .cta-box .btn-dark {
    padding: 10px 16px;
    margin-top: 0rem;
    font-size: 0.8rem;
    width: 70%;
  }
  .owl-nav {
    padding: 0;
  }
  .reviews-section {
    padding: 40px 0;
  }

  .activities-section .container-activities {
    gap: 0;
  }
  .activities-section .badge-price-residence {
    top: inherit;
    background: var(--color-tan-forest);
    width: 100%;
    max-width: 160px;
    text-align: center;
    height: 40px;
    position: absolute;
    right: 1rem;
    bottom: -1rem;
    transform: rotate(0deg);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 1rem;
    z-index: 1;
    border-radius: var(--border-radius-secondary);
  }
  .activities-section .badge-price-residence-finland {
    top: inherit;
    background: var(--color-tan-forest);
    width: 100%;
    max-width: 160px;
    text-align: center;
    height: 40px;
    position: absolute;
    left: 1rem;
    bottom: -1rem;
    transform: rotate(0deg);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 1rem;
    z-index: 1;
    border-radius: var(--border-radius-secondary);
  }
  .activities-section .activities-text {
    position: relative;
    z-index: 3;
    margin-bottom: 1rem;
  }
  .activities-section .activities-text.bold {
    margin-bottom: 1rem;
  }
  .icon-slider {
    padding: 20px 0;
  }
}
.inline-wrapper {
  display: flex !important;
  align-items: center;
  gap: 5px;
}
@media (max-width: 992px) {
  .inline-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }
  .inline-wrapper span {
    margin-bottom: 1rem;
  }
}
.google-reviews {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  text-decoration: none;
  justify-content: center;
}
.google-reviews svg {
  transition: transform 0.3s ease;
  animation: pulse 2s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}

/* Additional custom styles can go here */
